#
# spec file for package libofa
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libofa
Version:        0.9.3
Release:        104.16
Summary:        Open Fingerprint Architecture Library
License:        GPL-2.0-or-later OR APL-1.0
Group:          Development/Libraries/C and C++
URL:            https://code.google.com/p/musicip-libofa/
Source0:        %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         libofa-incl.patch
Patch1:         libofa-0.9.3-gcc43.patch
Patch2:         libofa-0.9.3-pkgconfigbloat.patch
Patch3:         libofa-0.9.3-gcc44.patch
Patch4:         libofa-curl-types.patch
Patch5:         libofa-0.9.3-gcc47.patch
BuildRequires:  curl-devel
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(fftw3)

%description
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.
This library is by design compatible with the MusicDNS web service.
Non-commercial access to the service is available at
http://www.musicdns.org.

%package -n libofa0
Summary:        Open Fingerprint Architecture Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n libofa0
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.
This library is by design compatible with the MusicDNS web service.
Non-commercial access to the service is available at
http://www.musicdns.org.

%package devel
Summary:        Open Fingerprint Architecture Library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libofa0 = %{version}
Requires:       pkgconfig(expat)
Requires:       pkgconfig(fftw3)

%description devel
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.
This library is by design compatible with the MusicDNS web service.
Non-commercial access to the service is available at
http://www.musicdns.org.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1
%patch4
%patch5 -p1
dos2unix README

%build
autoreconf -fvi
%configure  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files -n libofa0
%{_libdir}/lib*.so.0*

%files devel
%license COPYING
%doc AUTHORS README
%doc examples/*.cpp examples/*.h
%dir %{_includedir}/ofa1
%{_includedir}/ofa1/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%post -n libofa0 -p /sbin/ldconfig
%postun -n libofa0 -p /sbin/ldconfig

%changelog
* Wed Aug 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Use %%license macro
- Remove two BRs that are not directly used
* Fri Aug 25 2017 jengelh@inai.de
- RPM group fix.
* Mon Aug 14 2017 tchvatal@suse.com
- Cleanup with spec-cleaner a bit
* Fri Mar 16 2012 coolo@suse.com
- fix license tag
* Wed Mar 14 2012 dimstar@opensuse.org
- Add libofa-0.9.3-gcc47.patch: Fix build with gcc 4.7.
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sat Aug  6 2011 crrodriguez@opensuse.org
- Ficx build with newer curl
* Thu May 26 2011 davejplater@gmail.com
- Inserted the correct license field.
* Sat May 21 2011 davejplater@gmail.com
- Added baselibs.conf to sources and spec file cosmetic fix's.
- Fixed license field.
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Added BuildRequires: pkg-config (fix for RPMLINT warning)
- Removed self-obsoletes (fix for RPMLINT warning)
* Sat Dec 12 2009 aj@suse.de
- Do not package example/Makefile* since they only work in the build directory.
* Wed May  6 2009 coolo@suse.de
- fix compilation with gcc 4.4
* Thu Nov  6 2008 sbrabec@suse.cz
- Fixed devel dependencies.
- Fixed README EOL encoding.
* Tue Nov  6 2007 crrodriguez@suse.de
- libofa --> libofa0
- fix build with gcc43
- add missing ldconfig calls
- fix some minor packaging errors
- fix devel package, pkgconfig script wrongly added
  unneeded libraries to the dependency chain.
- remove static libraries and libtool "la" files
* Fri Apr 27 2007 aj@suse.de
- Add libexpat-devel to BuildRequies.
* Mon Nov 13 2006 aj@suse.de
- Add c++ to BuildRequires.
* Mon Oct 23 2006 sbrabec@suse.cz
- New SuSE package, version 0.9.3.
